Bug 841315 - ISDN4k-utils build fails on Arm
ISDN4k-utils build fails on Arm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: isdn4k-utils (Show other bugs)
17
arm Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-07-18 12:25 EDT by Louis Lagendijk
Modified: 2012-07-30 01:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 01:01:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for isdn4k-utils build on Arm (988 bytes, patch)
2012-07-18 12:25 EDT, Louis Lagendijk
no flags Details | Diff

  None (edit)
Description Louis Lagendijk 2012-07-18 12:25:41 EDT
Created attachment 598932 [details]
Patch for isdn4k-utils build on Arm

Description of problem:
ISDN4k-utils does not build on Arm. 

Version-Release number of selected component (if applicable):
isdn4k-utils-3.2-79

How reproducible:


Steps to Reproduce:
1.Rebuild isdn4k-utils on arm: 
arm-koji build --scratch
2.
3.
  
Actual results:
Buiild fails on ipppd/main.c

Expected results:


Additional info:
build log: https://arm.koji.fedoraproject.org/koji/taskinfo?taskID=978370
Attached patch fixes the issue
Comment 1 Ngo Than 2012-07-20 09:00:38 EDT
isdn4k-utils isn't supported on arm, it's now added in excludearch.
Comment 2 Louis Lagendijk 2012-07-20 10:29:27 EDT
hello Ngo
would it be possible to add the patch I submitted and support ARM? I need only the libcapi with TCP/IP support and that works well here as does capiinfo..
Thanks, Lousi
Comment 3 Peter Robinson 2012-07-20 11:22:33 EDT
(In reply to comment #1)
> isdn4k-utils isn't supported on arm, it's now added in excludearch.

Why not? It builds just fine on Debian on ARM, it likely just needs a patch to fix the build issue
Comment 4 Louis Lagendijk 2012-07-20 18:10:49 EDT
Indeed, it is a simple one line patch, it is already attached to this BZ
Comment 5 Fedora Update System 2012-07-21 08:35:51 EDT
isdn4k-utils-3.2-84.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/isdn4k-utils-3.2-84.fc17
Comment 6 Fedora Update System 2012-07-21 18:54:02 EDT
Package isdn4k-utils-3.2-84.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing isdn4k-utils-3.2-84.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10972/isdn4k-utils-3.2-84.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-07-30 01:01:31 EDT
isdn4k-utils-3.2-84.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.